<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//				Trigger
// +-----------------------------------------------------------------------+
global $conf;
$config = unserialize($conf['ContestResults']);
if($config['menubar_mode']['block'])
	add_event_handler('blockmanager_register_blocks', 'CR_register_menubar_blocks');
add_event_handler('blockmanager_apply', 'CR_menubar_apply');

// +-----------------------------------------------------------------------+
//				Ajouter un block
// +-----------------------------------------------------------------------+
function CR_register_menubar_blocks($menu_ref_arr){
	$menu = &$menu_ref_arr[0];
	if($menu->get_id() != 'menubar') return;
	$menu->register_block(new RegisteredBlock('mbContestResults', l10n('Contests'), 'ContestResults'));
}

// +-----------------------------------------------------------------------+
//			Remplis les block
// +-----------------------------------------------------------------------+
function CR_menubar_apply($menu_ref_arr){
	global $template, $conf;
	$config = unserialize($conf['ContestResults']);
	$menu = &$menu_ref_arr[0];
	
	// Block Contest
	if(($block = $menu->get_block('mbContestResults')) != null){
		$data = array();

		$query = "SELECT id, name, visible, status, date_begin, date_end 
			FROM " . CR_TABLE_1 . " 
			ORDER BY date_begin DESC 
			LIMIT " . $config['menubar_block']['number'] . " OFFSET 0;";
		$result = pwg_query($query);

		while($contest = pwg_db_fetch_assoc($result)){
			if($contest['visible'] OR is_admin()){
				array_push($data, array(
					'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
					'LABEL' => trigger_event('render_CR_content', $contest['name']),
					'DATE' => format_date($contest['date_begin']) . ' - ' . format_date($contest['date_end']),
					'STATUS' => $contest['status']
				));
			}
		}

		if(!empty($data)){
			$template->set_template_dir(CR_PATH . 'template/');
			$block->set_title('<a href="' . CR_PUBLIC . '">' . l10n('Contests') . '</a>');
			$block->template = 'cr_menubar.tpl';
			$block->data = $data;
		}
	}
	
	// Block Menu
	if($config['menubar_mode']['link'] AND $config['menubar_link']['menu'] AND ($block = $menu->get_block('mbMenu')) != null){
		array_push($block->data, array(
			'URL' => CR_PUBLIC,
			'TITLE' => l10n('Contests'),
			'NAME' => l10n('Contests')
		));
	}
	
	// Block Specials
	if($config['menubar_mode']['link'] AND $config['menubar_link']['specials'] AND ($block = $menu->get_block('mbSpecials')) != null){
		array_push($block->data, array(
			'URL' => CR_PUBLIC,
			'TITLE' => l10n('Contests'),
			'NAME' => l10n('Contests')
		));
	}
}
?>