<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//			Page d'un concours
// +-----------------------------------------------------------------------+
if(is_admin()){
	$template->assign('U_EDIT', CR_ADMIN . '&tab=edit&contest_id=' . $page['contest']);
	$template->assign('U_RESULTS', CR_ADMIN . '&tab=results&contest_id=' . $page['contest']);
}

// Infos du concours
$query = "SELECT * FROM " . CR_TABLE_1 . " WHERE id=" . $page['contest'] . ";";
$results = pwg_query($query);
$contest = pwg_db_fetch_assoc($results);

if(pwg_db_num_rows($results) AND ($contest['visible'] OR is_admin())){
	// Paramètres généraux
	$template->assign(array(
		'ID' => $contest['id'],
		'NAME' => trigger_event('render_CR_content', $contest['name']),
		'STATUS' => $contest['status'],
		'VISIBLE' => $contest['visible'],
		'DATE_BEGIN' => format_date($contest['date_begin']),
		'DATE_END' => format_date($contest['date_end']),
		'LOGO' => $contest['logo'],
		'BANNER' => $contest['banner'],
		'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
	));
	
	// Quatre zones texte
	foreach(array('presentation','rules','prices','final') AS $key){
		$contest[$key.'_display'] = unserialize($contest[$key.'_display']);
		if($contest[$key.'_display']['pending']) $template->assign(strtoupper($key).'_PENDING', true);
		if($contest[$key.'_display']['finished']) $template->assign(strtoupper($key).'_FINISHED', true);
		$template->assign(strtoupper($key), trigger_event('render_CR_content', $contest[$key]));
	}
	
	// Affichage des résultats
	if($contest['status'] == 'finished'){
		// Infos des résultats
		$query = "SELECT * FROM " . CR_TABLE_2 . " WHERE contest_id=" . $contest['id'] . " ORDER BY rank ASC;";
		$results = pwg_query($query);
		
		while($result = pwg_db_fetch_assoc($results)){
			// Infos de l'image
			$query = "SELECT
					i.id,
					i.name,
					i.file,
					i.path,
					i.tn_ext,
					ic.category_id
				FROM " . IMAGES_TABLE . " AS i
				INNER JOIN " . IMAGE_CATEGORY_TABLE . " AS ic
				ON ic.image_id = i.id
				WHERE i.id = " . $result['image_id'] . ";";
			$image = pwg_db_fetch_assoc(pwg_query($query));

			// retrieving category informations
			$query = "SELECT id, name, permalink, uppercats
				FROM " . CATEGORIES_TABLE."
				WHERE id = " . $image['category_id'] . ";";
			$image['cat'] = pwg_db_fetch_assoc(pwg_query($query));
	
			// link to the full size picture
			$image['url'] = make_picture_url(array(
				'category' => $image['cat'],
				'image_id' => $image['id'],
				'image_file' => $image['file'],
			));			
			
			// Template
			if(in_array($result['rank'], array(1,2,3))){
				$data = array(
					'RANK' => $result ['rank'],
					'AUTHOR' => $result['author'],
					'IMAGE_SRC' => str_replace('thumbnail/'.$conf['prefix_thumbnail'], null, get_thumbnail_url($image)),
					'IMAGE_URL' => $image['url'],
					'IMAGE_NAME' => (empty($image['name'])) ? get_name_from_file($image['file']) : $image['name'],
					'COMMENT' => CR_cut_string(trigger_event('render_CR_content', $result['comment']), 450),
					);
			}else{
				$data = array(
					'RANK' => $result ['rank'],
					'AUTHOR' => $result['author'],
					'TN_SRC' => get_thumbnail_url($image),
					'IMAGE_URL' => $image['url'],
					'IMAGE_NAME' => (empty($image['name'])) ? get_name_from_file($image['file']) : $image['name'],
				);
			}
			$template->append('RESULTS', $data);
		}
	}
	
	$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/cr_page.tpl'));
	
}else{
	page_not_found(l10n('CR_notavailable'));
}


// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->assign('CR_PATH', CR_PATH);
$template->assign('SEPARATOR', $conf['level_separator']);
?>