<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('default_config' , serialize(array(
	'menubar_mode' => array(
		'link' => 0,
		'block' => 1
	),
	'menubar_link' => array(
		'menu' => 1,
		'specials' => 0
	),
	'menubar_block' => array(
		'number' => 5
	)
)));

function plugin_install(){
	global $prefixeTable;

	$query = "CREATE TABLE `" . $prefixeTable . "contests` (
		`id` INT NOT NULL AUTO_INCREMENT ,
		`name` VARCHAR( 255 ) NOT NULL ,
		`date_begin` DATE NOT NULL ,
		`date_end` DATE NOT NULL ,
		`status` VARCHAR( 255 ) NOT NULL ,
		`visible` TINYINT(1) NOT NULL ,
		`logo` VARCHAR( 255 ) NULL ,
		`banner` VARCHAR( 255 ) NULL ,
		`summary` TEXT NULL ,
		`presentation` TEXT NULL ,
		`presentation_display` VARCHAR( 255 ) NULL ,
		`rules` TEXT NULL ,
		`rules_display` VARCHAR( 255 ) NULL ,
		`prices` TEXT NULL ,
		`prices_display` VARCHAR( 255 ) NULL ,
		`final` TEXT NULL ,
		`final_display` VARCHAR( 255 ) NULL ,
		PRIMARY KEY ( `id` )
	);";
	pwg_query($query);
	
	$query = "CREATE TABLE `" . $prefixeTable . "contests_results` (
		`image_id` INT NOT NULL ,
		`contest_id` INT NOT NULL ,
		`rank` INT NOT NULL ,
		`author` VARCHAR( 255 ) NOT NULL ,
		`comment` TEXT NULL,
		UNIQUE ( `image_id` , `contest_id` )
	);";
	pwg_query($query);
	
	$query = "INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('ContestResults', '" . default_config . "', 'Parametres du plugin ContestResults');";
	pwg_query($query);
}

function plugin_activate(){
	global $conf;

	// compatibilité avec les versions < 1.1
	if(!isset($conf['ContestResults'])){
		$query = "INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('ContestResults', '" . default_config . "', 'Parametres du plugin ContestResults');";
		pwg_query($query);
	}
}

function plugin_uninstall(){
	global $prefixeTable;

	$query = "DROP TABLE `" . $prefixeTable . "contests`;";
	pwg_query($query);
	
	$query = "DROP TABLE `" . $prefixeTable . "contests_results`;";
	pwg_query($query);
	
	$query = "DELETE FROM " . CONFIG_TABLE . " WHERE `param` = 'ContestResults';";
	pwg_query($query);
}
?>