{html_head}
	<link rel="stylesheet" type="text/css" href="{$CR_PATH}template/style.css">
{/html_head}

{$MENUBAR}

{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
<div id="content_contest" class="content">
	<div class="titrePage">
		<ul class="categoryActions">  
			{if isset($U_EDIT) }
				<li><a href="{$U_EDIT}" title="{'CR_edit_tab'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'CR_edit_tab'|@translate}"></a></li>
			{/if}
			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
		</ul>
		<h2>
			<a href="index.php?/contests">{'Contests'|@translate}</a>{$SEPARATOR}<a href="{$URL}">{$NAME}</a>
			{if $STATUS=='finished'}<span class="finished">({'CR_finished'|@translate})</span>{/if}
		</h2>
	</div> <!-- titrePage -->

	{if !$VISIBLE}
		<div class="nopublic">
			{'CR_nopublic'|@translate}
		</div>
	{/if}
	
	{if !empty($BANNER)}
		<div class="CR_banner">
			<a href="#results"><img src="{$BANNER}" alt="{$NAME}"/></a>
		</div>
	{/if}
	
	{if (($STATUS=='pending' AND $PRESENTATION_PENDING) OR ($STATUS=='finished' AND $PRESENTATION_FINISHED)) AND !empty($PRESENTATION)}
		<div class="CR_text">
			<h3>{'CR_presentation'|@translate} :</h3>
			<p>{$PRESENTATION}</p>
		</div>
	{/if}
	
	<div class="CR_text">
		<h3>{'CR_period'|@translate} :</h3>
		<p>{$DATE_BEGIN} - {$DATE_END}</p>
	</div>
	
	<div id="CR_rules_prices">
		{if (($STATUS=='pending' AND $RULES_PENDING) OR ($STATUS=='finished' AND $RULES_FINISHED)) AND !empty($RULES)}	
			<div id="CR_rules">
				<h3>{'CR_rules'|@translate} :</h3>
				<p>{$RULES}</p>
			</div>
		{/if}
		
		{if (($STATUS=='pending' AND $PRICES_PENDING) OR ($STATUS=='finished' AND $PRICES_FINISHED)) AND !empty($PRICES)}
			<div id="CR_prices">
				<h3>{'CR_prices'|@translate} :</h3>
				<p>{$PRICES}</p>
			</div>
		{/if}
	</div>
	
	{if (($STATUS=='pending' AND $FINAL_PENDING) OR ($STATUS=='finished' AND $FINAL_FINISHED)) AND !empty($FINAL)}
		<div class="CR_text">
			<h3>{'CR_final'|@translate} :</h3>
			<p>{$FINAL}</p>
		</div>
	{/if}
</div> <!-- content_contest -->

{if !empty($RESULTS)}
	<div id="content_results" class="content">
		<div class="titrePage">
			<ul class="categoryActions">  
				{if isset($U_RESULTS) }
					<li><a href="{$U_RESULTS}" title="{'CR_results'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'CR_results'|@translate}"></a></li>
				{/if}
			</ul>
			<h2><a href="{$URL}">{$NAME}</a>{$SEPARATOR}<a href="#results" name="results">{'CR_results'|@translate}</a></h2>
		</div>
		
		<div id="CR_podium">
			{foreach from=$RESULTS item=result}
				{if $result.RANK <= 3}
					{if $result.RANK == 2}<div class="podium_23">{/if}
					<div class="podium_{$result.RANK}">
						<div class="illustration">
							<div class="title">{'CR_order_'|cat:$result.RANK|@translate} - <u>{$result.AUTHOR}</u></div>
							<a href="{$result.IMAGE_URL}" title="{$result.IMAGE_NAME}">
								<img src="{$result.IMAGE_SRC}" alt="{$result.IMAGE_NAME}"/>
							</a>
						</div>
						<div class="comment">
							<div>{$result.COMMENT}</div>
						</div>
					</div>
					{if $result.RANK == 3}</div>{/if}
				{/if}
			{/foreach}
		</div>
		
		<ul class="thumbnails">
			{foreach from=$RESULTS item=result}
				{if $result.RANK > 3}
					<li>
						<span class="wrap1">
							<span class="wrap2">
								<a href="{$result.IMAGE_URL}" title="{$result.IMAGE_NAME}">
									<img class="thumbnail" src="{$result.TN_SRC}" alt="{$result.IMAGE_NAME}"/>
								</a>
							</span>
							<span class="thumbLegend">
								<b>{$result.RANK}{'CR_order_sup'|@translate}</b> - {$result.AUTHOR}
							</span>
						</span>
					</li>
				{/if}
			{/foreach}
		</ul>
		
		{if !empty($LOGO)}
			<div class="CR_banner">
				<img src="{$LOGO}" alt="{$NAME}"/>
			</div>
		{/if}
	</div> <!-- content_results -->
{/if}

{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
