<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// Requte simple pour savoir si l'image a particip  des concours 
// +-----------------------------------------------------------------------+
$query = "SELECT image_id FROM " . CR_TABLE_2 . " WHERE image_id = " . $page['image_id'] . ";";
$results = pwg_query($query);

if(pwg_db_num_rows($results)){
	$query = "SELECT 
			i.rank,
			i.comment,
			c.name AS contest_name,
			c.id AS contest_id
		FROM " . CR_TABLE_2 . " AS i
		INNER JOIN " . CR_TABLE_1 . " AS c
		ON i.contest_id = c.id
		WHERE i.image_id = " . $page['image_id'] . "
		ORDER BY c.date_begin DESC;";
	$results = pwg_query($query);
	
	// Gre plusieurs participations
	$comment = null;
	while($result = pwg_db_fetch_assoc($results)){
		// Rang amlior
		if($result['rank'] <= 3) $result['rank'] = l10n('CR_order_'.$result['rank']);
		else $result['rank'] .= l10n('CR_order_sup');
		
		// Lien vers le concours
		$result['contest_name'] = trigger_event('render_CR_content', $result['contest_name']);
		$result['contest_link'] = CR_PUBLIC . $result['contest_id'] . '-' . str2url($result['contest_name']);
		
		// Ajoute le commentaire aprs la description
		$comment .= '<div style="border:1px solid #404040;padding:10px;margin:10px 25%">
			<b><a href="' . $result['contest_link'] .'">' . $result['contest_name'] . '</a></b> 
			:: <u>' . $result['rank'] . '</u>
			<p>' . trigger_event('render_CR_content', $result['comment']) . '</p>
		</div>';
		
		// Ajoute un lien vers le concours dans les albums
		$template->append('related_categories', '<a href="' . CR_PUBLIC . '">' . l10n('Contests') . '</a>' . $conf['level_separator'] . '<a href="' . $result['contest_link'] . '">' . $result['contest_name'] . '</a>');
	}

	$template->assign('COMMENT_IMG', $template->get_template_vars('COMMENT_IMG') . $comment);
}

?>