<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//			Liste des concours
// +-----------------------------------------------------------------------+
$query = "SELECT id, name, visible, date_begin, date_end, status, logo, summary FROM " . CR_TABLE_1 . " ORDER BY date_begin DESC;";
$contests = pwg_query($query);

while($contest = pwg_db_fetch_assoc($contests)){
	if($contest['visible'] OR is_admin()){
		// infos sur le concours
		$item =  array(
			'ID' => $contest['id'],
			'NAME' => trigger_event('render_CR_content', $contest['name']),
			'VISIBLE' => $contest['visible'],
			'STATUS' => $contest['status'],
			'DATE_END' => format_date($contest['date_end']),
			'DATE_BEGIN' => format_date($contest['date_begin']),
			'LOGO' => $contest['logo'],
			'SUMMARY' => trigger_event('render_CR_content', $contest['summary']),
			'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
		);
		
		// podium si termin
		if($contest['status'] == 'finished'){
			$query = "SELECT
					i.id,
					i.name,
					i.file,
					i.path,
					i.tn_ext,
					c.rank,
					c.author
				FROM " . IMAGES_TABLE . " AS i
				INNER JOIN " . CR_TABLE_2 . " AS c
				ON c.image_id = i.id
				WHERE c.contest_id = " . $contest['id'] . "
				ORDER BY c.rank ASC
				LIMIT 3 OFFSET 0;";
			$results = pwg_query($query);
			
			while($result = pwg_db_fetch_assoc($results)){
				$item['RESULTS'][$result['rank']] = array(
					'RANK' => $result['rank'],
					'AUTHOR' => $result['author'],
					'TN_SRC' => get_thumbnail_url($result)
				);
			}
		}

		$template->append('contests_'.$contest['status'], $item);
	}
}

$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/cr_main.tpl'));

// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->assign('CR_PATH', CR_PATH);
$template->assign('SEPARATOR', $conf['level_separator']);
?>