{html_head}
<link rel="stylesheet" type="text/css" href="{$CR_PATH}template/style.css">
{/html_head}

{$MENUBAR}

{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
<div id="content" class="content">
	<div class="titrePage">
		<ul class="categoryActions">
			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
		</ul>
		<h2>{'Contests'|@translate}</h2>
	</div> <!-- titrePage -->
	{if !isset($contests_pending) AND !isset($contests_finished)}
		<div class="nopublic" style="margin-bottom:200px;">
			{'CR_no_contest'|@translate}
		</div>
	{/if}
	{if isset($contests_pending)}
		<ul class="thumbnailCategories">
			{foreach from=$contests_pending item=contest}
				<li>
					<div class="thumbnailCategory {if $contest.VISIBLE == 0}novisible{/if}">
						<div class="illustration">
							<a href="{$contest.URL}">
								{if !empty($contest.LOGO)}
									<img src="{$contest.LOGO}" alt="{$contest.NAME}" style="max-height:120px;max-width:120px;">
								{/if}
							</a>
						</div>
						<div class="description">
							<h3>
								<a href="{$contest.URL}">{$contest.NAME}</a>
							</h3>
							<div class="text">
								<p class="Nb_images">{$contest.DATE_BEGIN} - {$contest.DATE_END}</p>
								{if !empty($contest.SUMMARY)}
									<p>{$contest.SUMMARY}</p>
								{/if}
							</div>
						</div>
					</div>
				</li>
			{/foreach}
		</ul>
	{/if}
	
	{if isset($contests_finished)}
		<ul class="thumbnailCategories">
			{foreach from=$contests_finished item=contest}
				<li>
					<div class="thumbnailCategory {if $contest.VISIBLE == 0}novisible{/if}">
						<div class="description">
							<h3>
								<a href="{$contest.URL}">{$contest.NAME}</a>
								<span class="finished">({'CR_finished'|@translate})</span>
							</h3>
							<div class="text">
								<p class="Nb_images">{$contest.DATE_BEGIN} - {$contest.DATE_END}</p>
								<div class="results">
									<a href="{$contest.URL}">
										{foreach from=$contest.RESULTS item=result}
											<img src="{$result.TN_SRC}" style="max-height:80px;max-width:120px;"/>
										{/foreach}
									</a>
								</div>
							</div>
						</div>
					</div>
				</li>
			{/foreach}
		</ul>
	{/if}
</div> <!-- content -->

{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
